image: registry.salsa.debian.org/debconf-team/public/websites/dc22:ci

ci-image:
  stage: .pre
  image: docker:20.10-dind
  services:
  - name: docker:20.10-dind
  variables:
    DOCKER_DRIVER: overlay2
  script:
  - 'docker build -t $CI_REGISTRY_IMAGE:ci -f Dockerfile.ci .'
  - 'docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY'
  - 'docker push $CI_REGISTRY_IMAGE:ci'
  only:
    refs:
    - main
    changes:
    - Dockerfile.ci

deploy-and-test:
  script:
    - cp localsettings.py.sample localsettings.py
    - ./deploy.sh
    - ve/bin/python3 -m pytest test/
    - ve/bin/python3 manage.py load_schedule_grid schedule-grid.yml
  cache:
    paths:
      - node_modules
      - .deployed.package.json
      - ve
      - .deployed.requirements.txt
